package com.zgiot.zx.production.utils;

import com.alibaba.fastjson.JSONObject;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.util.HashMap;
import java.util.Map;

public class LoginUserUtil {
    /**
     * 获取当前登录用户ID
     *
     */
    public static Map<String,Object> getUserId() {
        Map<String,Object> resultMap = new HashMap<String,Object>();
        HttpServletRequest request = ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        HttpSession session= request.getSession();
        if(session!=null){
            resultMap.put("userId",session.getAttribute("userId").toString());
            resultMap.put("corpId",session.getAttribute("corpId").toString());
        }
        return resultMap;
    }
}
