package com.zgiot.zx.production.utils.feignClient;


import com.zgiot.zx.production.base.Ret;
import com.zgiot.zx.production.utils.feignDto.VideoErrorDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(value = "VIDEO-SERVER")
public interface VideoServerFgignClient {


    /**
     * 推送异常数据到智能视频
     * @return
     */
    @RequestMapping(value = "/api/camera/v1/alertRecord/addSensorRecord",method = RequestMethod.POST)
    Ret pushWashErrorInfo(@RequestParam(value = "zxAccountId") Long zxAccountId, @RequestBody  VideoErrorDTO dto);




}
