package com.zgiot.zx.production.utils.feignDto;

import lombok.Data;

@Data
public class VideoErrorDTO {

    /**
     * 异常报警类型
     */
    private String type="SPRAY_DISTINGUISH_ALERT";

    /**
     * 发生时间
     */
    private String time;


    /**
     * 是否报警
     */
    private Integer isAlert=1;

    /**
     * 设备编号
     */
    private String sensorCode;

    /**
     * 报警图片
     */
    private String imgPath;

    /**
     * 报警描述
     * 喷淋水压不足
     * 喷淋时长过短
     */
    private String context;

    /**
     * 固定参数
     */
    private String zxAccountId;


}
