package com.zgiot.zx.production.common;

/**
 * @Description:计算某个月天数工具类
 * @Author: yangxuenan
 * date: 2019/12/19 16:32
 */
public class CountDays {
    /***
     * @Description: 计算某个月天数
     * @Author: yangxuenan
     * @Date: 2019/12/19 13:40
     * @Param: [countYear, countMonth]
     * @Return: int
     */
    public static int getCountDays(int countYear,int countMonth){
        int days = 0;
        if (countMonth == 1 || countMonth == 3 || countMonth == 5 || countMonth == 7 || countMonth == 8 || countMonth == 10 || countMonth == 12) {
            days = 31;
        } else if (countMonth == 2) {
            days = 28;
            if (countYear % 400 == 0) {
                days = 29;
            }
        } else {
            days = 30;
        }
        return days;
    }
}
